SLikeNet 0.1.3

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Public Member Functions | Static Public Member Functions | List of all members
SLNet::IRNS2_Berkley Class Referenceabstract

`#include <slikenet/socket2.h>`

Inheritance diagram for SLNet::IRNS2_Berkley:

## Public Member Functions

virtual RNS2BindResult | Bind (RNS2_BerkleyBindParameters *bindParameters, const char *file, unsigned int line)=0
Public Member Functions inherited from SLNet::RakNetSocket2
| RakNetSocket2 ()
virtual | ~RakNetSocket2 ()
void | SetRecvEventHandler (RNS2EventHandler *_eventHandler)
virtual RNS2SendResult | Send (RNS2_SendParameters *sendParameters, const char *file, unsigned int line)=0
RNS2Type | GetSocketType (void) const
void | SetSocketType (RNS2Type t)
bool | IsBerkleySocket (void) const
SystemAddress | GetBoundAddress (void) const
unsigned int | GetUserConnectionSocketIndex (void) const
void | SetUserConnectionSocketIndex (unsigned int i)
RNS2EventHandler * | GetEventHandler (void) const

## Static Public Member Functions

static bool | IsPortInUse (unsigned short port, const char *hostAddress, unsigned short addressFamily, int type)
Static Public Member Functions inherited from SLNet::RakNetSocket2
static void | GetMyIP (SystemAddress addresses[MAXIMUM_NUMBER_OF_INTERNAL_IDS])
static void | DomainNameToIP (const char *domainName, char ip[65])

## Additional Inherited Members

Protected Attributes inherited from SLNet::RakNetSocket2
RNS2EventHandler * | eventHandler
RNS2Type | socketType
SystemAddress | boundAddress
unsigned int | userConnectionSocketIndex

## Detailed Description

Definition at line 283 of file socket2.h.

## Member Function Documentation

virtual RNS2BindResult SLNet::IRNS2_Berkley::Bind | ( | RNS2_BerkleyBindParameters * | bindParameters,
|  | const char * | file,
|  | unsigned int | line
| ) |  |

pure virtual

Implemented in SLNet::RNS2_Linux.

Referenced by IsPortInUse().

bool IRNS2_Berkley::IsPortInUse | ( | unsigned short | port,
|  | const char * | hostAddress,
|  | unsigned short | addressFamily,
|  | int | type
| ) |  |

static

Definition at line 287 of file RakNetSocket2.cpp.

References _FILE_AND_LINE_, SLNet::RNS2_BerkleyBindParameters::addressFamily, SLNet::RakNetSocket2Allocator::AllocRNS2(), Bind(), SLNet::RakNetSocket2::boundAddress, SLNet::BR_FAILED_TO_BIND_SOCKET, SLNet::RakNetSocket2Allocator::DeallocRNS2(), SLNet::RNS2_BerkleyBindParameters::doNotFragment, SLNet::RNS2_BerkleyBindParameters::hostAddress, SLNet::RNS2_BerkleyBindParameters::nonBlockingSocket, SLNet::RNS2_BerkleyBindParameters::port, SLNet::RNS2_BerkleyBindParameters::protocol, SLNet::RNS2_BerkleyBindParameters::remotePortRakNetWasStartedOn_PS3_PS4_PSP2, SLNet::RNS2_BerkleyBindParameters::setBroadcast, SLNet::RNS2_BerkleyBindParameters::setIPHdrIncl, and SLNet::RNS2_BerkleyBindParameters::type.

The documentation for this class was generated from the following files:

- Source/include/slikenet/socket2.h
- Source/src/RakNetSocket2.cpp